jQuery(document).ready(function(){
    jQuery("input#searchString").focus( function(){
        if( jQuery(this).val()=='Наименование товара'){
            jQuery(this).val('');
        }
    });
    jQuery("input#searchString").blur( function(){
        if( jQuery(this).val()==''){
            jQuery(this).val('Наименование товара');
        }
    });
    jQuery("select#sMenuSelector").change( function(){
        var cid = jQuery(this).val();
        if( cid != ""){
            location.href = cid;
        }
    });
    if(jQuery("#cartLeft"))
        refreshCart();
    jQuery("input.counter").change( function(){
        var newValue = parseInt( jQuery(this).val() );
        if( (newValue < 1) || isNaN(newValue)){
            alert('Только целые числа большие нуля.');
        }else{
            var item = jQuery(this).attr("id");
            item = parseInt( item.substr( 7 ) );
            jQuery("#cartBoxProcess").fadeIn(500);
            jQuery.get('index.php',{
                GID: item,
                COUNTER: newValue,
                option: 'com_fostar_1qc',
                link: 'refreshCounter'
            }, refreshCounterDisplay );
        }
    })
})
function refreshCounterDisplay(data) {
    jQuery("#cartBoxProcess").fadeOut(500);
    rez = data.split(":::");
    if(jQuery("#cartLogs").css("display") == "none" ){
         jQuery("#cartLogs").html(rez[0]);
         jQuery("#cartLogs").show("fast");
    }
    else{
        jQuery("#cartLogs").append(rez[0]);
        jQuery("#cartLogs").stop();
    }
    jQuery("#cartLeft").html(rez[1]);
    jQuery("#cartLeft a").attr('href', jQuery("a#cartlink").attr('href'));
    jQuery("#cartTotal").html(rez[2]);
    jQuery("#cartTotalSumm").html(rez[3]);
    window.setTimeout('jQuery("#cartLogs").fadeOut("slow");',6000);
}
function refreshCart(){
    jQuery.get('index.php',{
        option: 'com_fostar_1qc',
        link: 'refreshCart'
    }, cartLeft );
}
function cartLeft(data) {
    jQuery("#cartLeft").html(data);
    jQuery("#cartLeft a").attr('href', jQuery("a#cartlink").attr('href'));
}
function addToCart(item){
    jQuery("#cartLeft").html('<img src="/components/com_fostar_1qc/css/loading.gif" alt="Передача данных..." />');
    jQuery("#cartBoxProcess").fadeIn(500);
    var Attributes = '';
    jQuery(".productAttr").each(function(){
        if(Attributes!='')
            Attributes += 'HfPLtK';
        Attributes += jQuery(this).val();
    })
    jQuery.get('index.php',{
        GID: item,
        PA: Attributes,
        option: 'com_fostar_1qc',
        link: 'addToCart'
    }, addToCartDisplay );
}
function addToCartDisplay(data) {
    rez = data.split(":::");
    jQuery("#cartBox").html(rez[0]);
    jQuery("#cartLeft").html(rez[1]);
    jQuery("#cartLeft a").attr("href", jQuery("a#cartlink").attr("href"));
    jQuery("#cartBoxProcess").fadeOut("fast");
    jQuery("#cartBoxResult").show();
    window.setTimeout('jQuery("#cartBoxResult").fadeOut("slow");',3000);
}
function removeFromCart(item, cost){
    jQuery("#cartBoxProcess").fadeIn(500);
    jQuery.get('index.php',{
        GID: item,
        option: 'com_fostar_1qc',
        link: 'removeFromCart'
    }, removeFromCartDisplay );
    var r = '#row'+ item;
    jQuery(r).fadeOut("slow");
}
function removeFromCartDisplay(data) {
    jQuery("#cartBoxProcess").fadeOut(500);
    rez = data.split(":::");
    if(jQuery("#cartLogs").css("display") == "none" ){
         jQuery("#cartLogs").html(rez[0]);
         jQuery("#cartLogs").show("fast");
    }
    else{
        jQuery("#cartLogs").append(rez[0]);
        jQuery("#cartLogs").stop();
    }
    jQuery("#cartLeft").html(rez[1]);
    jQuery("#cartLeft a").attr('href', jQuery("a#cartlink").attr('href'));
    jQuery("#cartTotal").html(rez[2]);
    jQuery("#cartTotalSumm").html(rez[3]);
    if(jQuery("#cartTotal").html() == "0"){
        jQuery("#cartGoodsList").fadeOut("slow");
        jQuery("#cartDelivery").fadeOut("slow");
        jQuery("#cartOrderFunc").fadeOut("slow");
        jQuery("#cartIsEmpty").fadeIn("fast");
    }
    window.setTimeout('jQuery("#cartLogs").fadeOut("slow");',6000);
}
function checkOrderDisplay(){
    jQuery("#sendOrder").slideDown("slow");
}
function checkOrder() {
    fio = document.getElementById('cfio');
    var name = document.getElementById('cname');
    otchestv = document.getElementById('cotchestv');
    email = document.getElementById('cemail');
    address = document.getElementById('caddress');
    phone = document.getElementById('cphone');
    cDeliveryMethod = document.getElementById('cDeliveryMethod');
    cPaymentMethod = document.getElementById('cPaymentMethod');

    errorMsg = 'Поле обязательно для заполнения';

    var errorz = 0;

    if (fio.value.length < 2) {
        fio.style.borderColor="#ff0000";
        jQuery("#cfioLog").html(errorMsg);
        jQuery("#cfioLog").show();
        errorz = 1;
    }
    else {
        fio.style.borderColor="#000000";
        jQuery("#cfioLog").hide();
    }

    if (name.value.length < 2) {
        name.style.borderColor="#ff0000";
        jQuery("#cnameLog").html(errorMsg);
        jQuery("#cnameLog").show();
        errorz = 1;
    }
    else {
        name.style.borderColor="#000000";
        jQuery("#cfioLog").hide();
    }

    if (email.value.length < 7) {
        email.style.borderColor="#ff0000";
        jQuery("#cemailLog").html(errorMsg);
        jQuery("#cemailLog").show();
        errorz = 1;
    }
    else {
        email.style.borderColor="#000000";
        jQuery("#cemailLog").hide();
    }

    if (address.value.length < 7) {
        address.style.borderColor="#ff0000";
        jQuery("#caddressLog").html(errorMsg);
        jQuery("#caddressLog").show();
        errorz = 1;
    }
    else {
        address.style.borderColor="#000000";
        jQuery("#caddressLog").hide();
    }

    if (phone.value.length < 7) {
        phone.style.borderColor="#ff0000";
        jQuery("#cphoneLog").html(errorMsg);
        jQuery("#cphoneLog").show();
        errorz = 1;
    }
    else {
        phone.style.borderColor="#000000";
        jQuery("#cphoneLog").hide();
    }
    if (errorz == 0) {
        jQuery("#cartBoxProcess").fadeIn(500);
        document.forms.orderForm.submit();
    }
}
