<?php
ob_start();
ob_implicit_flush(0);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
header('Content-Type: text/html; charset=utf-8');

function checkGet($str,$col = 255) {
    $str = trim(htmlspecialchars(eregi_replace("['\"\/%?#`]","",$str)));
    $str = substr($str,0,$col);
    Return $str;
}
if( isset($_GET['GID']) ) {
    $_GET['GID'] = str_replace('HfDYJ', '=', $_GET['GID']);
    $str = base64_decode($_GET['GID']);
    $str = explode("::", $str);

    if(is_numeric($str[0]) && is_numeric($str[1])) {
        $PID = checkGet($str[0]);
        $COST = checkGet($str[1]);
        $ATTR = $_GET['PA'];
        if(isset($_SESSION['cart'][$PID])) {
            if($_SESSION['cart'][$PID]['attr']==$ATTR) {
                $_SESSION['cart'][$PID]['count'] += 1;
                echo('Товар уже был добавлен в корзину. Увеличено количество('.$_SESSION['cart'][$PID]['count'].').');
            }else {
                $_SESSION['cart'][$PID]['cost'] = $COST;
                $_SESSION['cart'][$PID]['count'] = 1;
                $_SESSION['cart'][$PID]['attr'] = $ATTR;
                echo('<nobr>Товар добавлен в корзину с новым атрибутом.</nobr>');
            }
        }else {
            $_SESSION['cart'][$PID]['cost'] = $COST;
            $_SESSION['cart'][$PID]['count'] = 1;
            $_SESSION['cart'][$PID]['attr'] = $ATTR;
            echo('<nobr>Товар добавлен в корзину.</nobr>');
        }
    }
    else {
        echo('Hacking attempt!');
    }
}
else {
    echo('error in GID');
}
if(isset($_SESSION['cart'])) {
    $counts = 0;
    $summ = 0;
    foreach($_SESSION['cart'] as $key=>$val) {
        if($val['count'] > 1) {
            $counts += $val['count'];
        }
        else {
            $counts += 1;
        }
        $summ += $val['cost'] * $val['count'];
    }
    if($counts > 0) {
        echo(':::В Вашей корзине <b>'.$counts.'</b> позиций<br /><a href="index.php?option=com_fostar_1qc&view=cart">Подробнее</a>');
    }
    else {
        echo(":::Ваша корзина пуста");
    }
}
else {
    echo(":::Ваша корзина пуста");
}
?>